{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf cfg.developpement {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Base de données
    pgadmin             # interface d'administration de postgres
    sqlitebrowser       # interface d'administration de sqlite

    # C / C++
    gcc                 # pour les appels depuis les scripts

    # Documentation
    zeal                # consulter la documentation hors ligne

    # Gestion des sources
    cloc                # outil pour compter les lignes de code source
    git                 # déjà présent dans "base"
    gitg                # interface pour utiliser git (historique, commit)
    gitstats            # génère un site web statique avec des statistiques
    gitAndTools.gitFull # pour gitk
    git-cola            # interface pour utiliser git (historique, commit)
    mercurial
    subversion

    # Haskell
    cabal-install       # fournis cabal
    cabal2nix           # convertir les .cabal en .nix
    ghc                 # pour les appels depuis les scripts
    stack               # pour les paquets en LTS de stackage

    # IDE
    idea.idea-community # IntelliJ IDEA

    # Java
    maven

    # Mono
    mono46              # interpréteur .NET

    # Rust
    cargo               # récupération des dépendances + compilation projet rust
    rustc               # pour les appels depuis les scripts

    ## Visualisation & outils de diff
    gource              # visualisation en mouvement de l'historique git
    meld                # outil de comparaison graphique
    #vbindiff           # diff de fichier hexadecimaux avec vim
  ];
}
